package com.sky.mapper;

import com.sky.entity.AddressBook;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AddressBookMapper {

    /**
     * 条件查询
     *
     * @param addressBook AddressBook
     * @return List<AddressBook>
     */
    List<AddressBook> list(AddressBook addressBook);

    /**
     * 新增
     *
     * @param addressBook AddressBook
     */
    void insert(AddressBook addressBook);

    /**
     * 根据id查询
     *
     * @param id Long
     * @return AddressBook
     */
    AddressBook getById(Long id);

    /**
     * 根据id修改
     *
     * @param addressBook AddressBook
     */
    void update(AddressBook addressBook);

    /**
     * 根据 用户id修改 是否默认地址
     *
     * @param addressBook AddressBook
     */
    void updateIsDefaultByUserId(AddressBook addressBook);

    /**
     * 根据id删除地址
     *
     * @param id
     */
    void deleteById(Long id);

}
