package com.sky.mapper;
import com.sky.entity.DishFlavor;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DishFlavorMapper {
    /**
     * 香口味表中插入n条数据
     * @param flavors List<DishFlavor>
     */
    void insertBatch(List<DishFlavor> flavors);

    /**
     * 删除菜品关联的口味数据
     * @param id Long
     */
    void deleteByDishId(Long id);

    /**
     * 删除菜品关联的口味数据
     * @param dishIds List<Long>
     */
    void deleteByDishIds(List<Long> dishIds);

    /**
     * 根据菜品id查询口味数据
     * @param id Long
     * @return DishFlavor
     */
    List<DishFlavor> getByDishId(Long id);
}
