package com.sky.mapper;

import com.sky.entity.ShoppingCart;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ShoppingCartMapper {
    /**
     * 查看购物车商品
     *
     * @param shoppingCart ShoppingCart
     * @return List<ShoppingCart>
     */
    List<ShoppingCart> list(ShoppingCart shoppingCart);

    /**
     * 如果已经存在，只需要将数量+1即可-修改商品数量
     *
     * @param shoppingCart ShoppingCart
     */
    void updateNumberById(ShoppingCart shoppingCart);

    /**
     * 插入购物车数据
     *
     * @param shoppingCart ShoppingCart
     */
    void insert(ShoppingCart shoppingCart);

    /**
     * 清空购物车
     *
     * @param userId 用户id
     */
    void deleteByUserId(Long userId);

    /**
     * 根据id删除购物车内容
     *
     * @param id 购物车中id
     */
    void deleteById(Long id);

    /**
     * 将购物车对象批量添加到数据库
     *
     * @param shoppingCartList List<ShoppingCart>
     */
    void insertBatch(List<ShoppingCart> shoppingCartList);
}
