package com.sky.service;

import com.sky.dto.EmployeeDTO;
import com.sky.dto.EmployeeLoginDTO;
import com.sky.dto.EmployeePageQueryDTO;
import com.sky.entity.Employee;
import com.sky.result.PageResult;

public interface EmployeeService {

    /**
     * 员工登录
     * @param employeeLoginDTO 员工请求
     * @return Employee
     */
    Employee login(EmployeeLoginDTO employeeLoginDTO);

    /**
     * 新增员工
     * @param employeeDTO 请求新增员工参数
     */
    void insert(EmployeeDTO employeeDTO);

    /**
     * 员工分页查询
     * @param employeePageQueryDTO EmployeePageQueryDTO
     * @return PageResult
     */
    PageResult pageQuery(EmployeePageQueryDTO employeePageQueryDTO);

    /**
     * 启用或禁用员工账号
     * @param status Integer
     * @param id Long
     */
    void startOrStop(Integer status, Long id);

    /**
     * 根据id查询员工信息
     * @param id Integer
     * @return Employee
     */
    Employee getById(Integer id);

    /**
     * 编辑员工信息
     * @param employeeDTO EmployeeDTO
     */
    void update(EmployeeDTO employeeDTO);
}
