package com.sky.service;

import com.sky.vo.OrderReportVO;
import com.sky.vo.SalesTop10ReportVO;
import com.sky.vo.TurnoverReportVO;
import com.sky.vo.UserReportVO;

import javax.servlet.http.HttpServletResponse;
import java.time.LocalDate;

public interface ReportService {
    /**
     * 营业额统计
     *
     * @param begin 看起始时间
     * @param end   结束时间
     * @return TurnoverReportVO
     */
    TurnoverReportVO getTurnoverStatistics(LocalDate begin, LocalDate end);

    /**
     * 销量排名
     *
     * @param begin 看起始时间
     * @param end   结束时间
     * @return UserReportVO
     */
    UserReportVO getUserStatistics(LocalDate begin, LocalDate end);

    /**
     * 订单统计
     *
     * @param begin 看起始时间
     * @param end   结束时间
     * @return OrderReportVO
     */
    OrderReportVO ordersStatistics(LocalDate begin, LocalDate end);

    /**
     * 销量排名
     *
     * @param begin 看起始时间
     * @param end   结束时间
     * @return OrderReportVO
     */
    SalesTop10ReportVO getSalesTop10(LocalDate begin, LocalDate end);

    /**
     * 导出运行数据
     *
     * @param response HttpResponse
     */
    void exportBusinessData(HttpServletResponse response);
}
